libcrypt-gcrypt-perl_1.26-2_amd64.deb


Advertisement

Description

libcrypt-gcrypt-perl - Perl interface to the GNU Cryptographic library

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libcrypt-gcrypt-perl
Package version: 1.26
Package release: 2
Package architecture: amd64
Package type: deb
Installed size: 153 B
Download size: 35.63 KB
Official Mirror: ftp.br.debian.org
Crypt::GCrypt provides an object interface to the C libgcrypt library. It currently supports symmetric encryption/decryption, while asymmetric cryptography is being worked on.

Alternatives

    Download

    Source package: libcrypt-gcrypt-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libcrypt-gcrypt-perl deb package:
      # sudo apt-get install libcrypt-gcrypt-perl

    Files

    • /usr/lib/x86_64-linux-gnu/perl5/5.20/Crypt/GCrypt.pm
    • /usr/lib/x86_64-linux-gnu/perl5/5.20/Crypt/GCrypt/MPI.pm
    • /usr/lib/x86_64-linux-gnu/perl5/5.20/auto/Crypt/GCrypt/GCrypt.so
    • /usr/share/doc/libcrypt-gcrypt-perl/README
    • /usr/share/doc/libcrypt-gcrypt-perl/changelog.Debian.gz
    • /usr/share/doc/libcrypt-gcrypt-perl/changelog.gz
    • /usr/share/doc/libcrypt-gcrypt-perl/copyright
    • /usr/share/man/man3/Crypt::GCrypt.3pm.gz
    • /usr/share/man/man3/Crypt::GCrypt::MPI.3pm.gz

    Changelog

    2014-09-28 - gregor herrmann <gregoa@debian.org> libcrypt-gcrypt-perl (1.26-2) unstable; urgency=medium * Team upload. * Use MetaCPAN URLs. * Add debian/upstream/metadata * Add patch to compile with libgcrypt 1.6. libgcrypt 1.6.x reworked the assymmetric crypto API which was not implemented in Crypt::Crypt. The patch removes the stubs from the module. (Closes: #758993, #763254) * Add debian/upstream/metadata * debian/copyright: update license stanzas. And add missing newline before first Files: section. * Remove debian/gbp.conf. Not needed anymore after the git repo got converted to the "default" layout. * Use debhelper 9.20120312 to get default hardening flags. * debian/control: drop unneeded version constraints from build-dep. * Update Vcs-Browser field to cgit. * Mark package as autopkgtest-able. * Declare compliance with Debian Policy 3.9.6.

    2013-05-26 - Daniel Kahn Gillmor <dkg@fifthhorseman.net> libcrypt-gcrypt-perl (1.26-1) unstable; urgency=low * New Upstream Release: - fix FTBFS with perl 5.18 (Closes: #709664) * Bumped Standards-Version to 3.9.4 (no changes needed) * moved to dh 9 * debian/copyright: updated to canonical DEP5 location and format * debian/patches/use-config-ccflags.patch: adopted upstream, no longer necessary.

    2011-08-09 - Daniel Kahn Gillmor <dkg@fifthhorseman.net> libcrypt-gcrypt-perl (1.25-1) unstable; urgency=low * New Upstream release (Closes: #635759) * use $Config{ccflags} in Makefile (thanks, Dominic Hargreaves) (Closes: #636653) * Bumped Standards-Version to 3.9.2 (no changes needed)

    2010-02-02 - Daniel Kahn Gillmor <dkg@fifthhorseman.net> libcrypt-gcrypt-perl (1.24-1) unstable; urgency=low * New Upstream Release. - adds Crypt::GCrypt::MPI (multi-precision integer support) * Switch to dpkg-source 3.0 (quilt) format * Bumped Standards-Version to 3.8.4 (no changes needed)

    2009-12-17 - Daniel Kahn Gillmor <dkg@fifthhorseman.net> libcrypt-gcrypt-perl (1.23-1) unstable; urgency=low * New Upstream Release. - adds message digest support * Needs libgcrypt 1.3.0 or later to avoid exposing bugginess during test suite; updated Build-Depends.

    2009-11-05 - Daniel Kahn Gillmor <dkg@fifthhorseman.net> libcrypt-gcrypt-perl (1.22-1) unstable; urgency=low * Initial Release (Closes: #552015).

    Advertisement
    Advertisement